'' *******************
'' *  Vinculum_Debug_Test  *
'' *******************


CON

  _clkmode      = xtal1 + pll16x                        ' use crystal x 16
  _xinfreq      = 5_000_000                             ' external xtal is 5 MHz

  CR            = 13
  LF            = 10
  Space         = " "
  LEDpin        = 24
  delay         = 8_000_000
  UART_Tx       = 22
  UART_Rx       = 23

VAR
  long  Stack[20]             'Stack space for new cog

OBJ
  debug : "pc_debug"
  UART:  "UART_Debug"

PUB main | idx
  cognew(Printer, @Stack)     
  debug.start(230400)                     'set up debugging on RealTerm
  UART.start(9600)                        'second full duplex setup for V_Drive       
  debug.str(string(CR, LF,CR, LF, "USB Drive", CR, LF))       ' print string
  UART.str(string("IPA", CR))             'Input numbers as ASCII
  UART.str(string("OPW FILE.3",CR))       'open new file
  UART.str(string("WRF 14",CR,"Hello World!! ")) 'save 14 characters
  UART.str(string("CLF FILE.3",CR))       'close file
  UART.str(string("RD FILE.3", CR))       'read it to confirm
  UART.str(string("DLF FILE.3", CR))      'Delete it so it can be created again next time.
  UART.str(string("E", CR))               'Synchronizing character

PUB Printer
  repeat                             'this keeps printing in the background
    debug.out(UART.in)               'anything that V_Drive sends out goes to RealTerm
